﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using MercatorApi;
using MercatorUi.Forms.Gescom.GescomClasses;

namespace WidgetDashBoard
{
    public partial class WidgetDashBoardUserControl : MercatorUi.Widgets.WidgetBaseControl
    {
        private GescomDashboardControl gescomDashboardControl; 
        
        public WidgetDashBoardUserControl()
        {
            InitializeComponent();
            dateTimeInput1.Value = new DateTime(DateTime.Now.Year, DateTime.Now.Month, 1).AddMonths(-1);
            dateTimeInput2.Value = dateTimeInput1.Value.AddMonths(1).AddDays(-1);
            buttonRefresh.Image = MercatorUi._Divers.ImageFromResource("refresh16");
            new MercatorUi._BaseClasses.TimerOneShot(ButtonRefresh_Click);
        }

        private void ButtonRefresh_Click(object sender, EventArgs e)
        {
            if (gescomDashboardControl != null)
            {
                Controls.Remove(gescomDashboardControl);
                gescomDashboardControl.Dispose();
                gescomDashboardControl = null;
            }
            gescomDashboardControl = GescomDashboardControl.Build(MercatorUi.Forms.Gescom.GescomDashboardForm.DashboardType.HTVA
                , MercatorUi.Forms.Gescom.GescomDashboardForm.DashboardTypeVA.V
                , dateTimeInput1.Value, dateTimeInput2.Value
                , out bool noData
                , id_depot: ""
                , returnNullIfNoData: false);
            if (gescomDashboardControl != null)
            {
                gescomDashboardControl.Location = new Point(220, 0);
                gescomDashboardControl.Size = new Size(Width - 220, Height);
                gescomDashboardControl.Anchor = AnchorStyles.Top | AnchorStyles.Left | AnchorStyles.Right | AnchorStyles.Bottom;
                Controls.Add(gescomDashboardControl);
            }
        }
    }
}
